OptiTrack's OpenVR plugin not compatible with SteamVR 1.16+

Post Reply
TwilightSquire
Posts: 5
Joined: Fri Aug 30, 2019 1:01 pm

OptiTrack's OpenVR plugin not compatible with SteamVR 1.16+

Post by TwilightSquire » Thu May 13, 2021 9:21 am

If you plan to use OptiTrack for VR solutions be aware that their current integration solution is no longer supported. OptiTrack's OpenVR plugin is no longer compatible with SteamVR as of version 1.16.8 (released FEB 24, 2021). This is noted in the documentation and they recommend reverting SteamVR back to beta version 1.15.12. (released NOV 23, 2020). We can confirm that this is the case — OpenVR plugin does not support the latest versions of SteamVR.

Unfortunately, OptiTrack VR users are now missing out on a host of SteamVR improvements that have been made over the last 6 months. Most notably: fixed frame rates, improved motion smoothing and GPU memory allocation improvements. Beta versions of SteamVR include additional features like per-application field of view settings, override world scale, and more.

OptiTrack's OpenVR Driver hasn't been updated since JAN 14, 2020 and there seems to be no plan to update it either, presumably because of the development of Motive 3.0, which we assume will drop OpenVR (now deprecated) in favor of OpenXR. Hoping that current integration updates will be forthcoming or that new solutions will be arriving with Motive 3.0.

steven.andrews
NaturalPoint Employee
NaturalPoint Employee
Posts: 623
Joined: Mon Jan 19, 2015 11:52 am

Re: OptiTrack's OpenVR plugin not compatible with SteamVR 1.16+

Post by steven.andrews » Thu May 13, 2021 12:39 pm

Hello TwilightSquire,

Thank you for sharing your concerns about our OpenVR Driver with the community.

SteamVR 1.16 broke our integration when they accidentally took out IMU data. Regardless, we remain committed to this workflow.
Here is a thread that talks about this issue.
https://github.com/ValveSoftware/openvr/issues/1530

We have things working for 1.17 and will release shortly after they go final with that version. In the meantime, the prescribed workaround is reverting back to 1.15 as you mentioned.


If you have any other questions, please feel free to reach out to us directly.

Best,
Steven
--
Steven Andrews
OptiTrack | Senior Customer Support Engineer
help.naturalpoint.com
wiki.optitrack.com
support@optitrack.com

Post Reply